Get Conversation
Get the conversation details based on the conversation ID
GET
/
conversations
/
{conversationId}
Get Conversation
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/{conversationId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"contactId": "ve9EPM428kjkvShlRW1KT",
"locationId": "ve9EPM428kjkvShlRW1KT",
"deleted": false,
"inbox": true,
"type": 123,
"unreadCount": 1,
"id": "ve9EPM428kjkvShlRW1KT",
"assignedTo": "ve9EPM428kjkvShlRW1KT",
"starred": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get Conversation
curl --request GET \
--url https://services.leadconnectorhq.com/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/{conversationId}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"contactId": "ve9EPM428kjkvShlRW1KT",
"locationId": "ve9EPM428kjkvShlRW1KT",
"deleted": false,
"inbox": true,
"type": 123,
"unreadCount": 1,
"id": "ve9EPM428kjkvShlRW1KT",
"assignedTo": "ve9EPM428kjkvShlRW1KT",
"starred": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}